log10
log
Math Functions
PHP Manual

# log1p

Returns log(1 + number), computed in a way that is accurate even when the value of number is close to zero

### Description

float log1p ( float `$number` )

log1p returns log(1 + `number`) computed in a way that is accurate even when the value of `number` is close to zero. log might only return log(1) in this case due to lack of precision.

### Parameters

`number`

  The argument to process

### Return Values

log(1 + `number`)

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on all platforms

### See Also

- expm1
- log
- log10